package org.kde.qt;


/** {@link QDataBrowser} emits these signals */
public interface QDataBrowserSignals {
	void primeDelete( QSqlRecord buf );
	void primeInsert( QSqlRecord buf );
	void primeUpdate( QSqlRecord buf );
	void beforeDelete( QSqlRecord buf );
	void beforeInsert( QSqlRecord buf );
	void destroyed( QObject obj );
	void beforeUpdate( QSqlRecord buf );
	void cursorChanged( int mode );
	void lastRecordAvailable( boolean available );
	void firstRecordAvailable( boolean available );
	void currentChanged( QSqlRecord record );
	void prevRecordAvailable( boolean available );
	void nextRecordAvailable( boolean available );
}

